query DnsSettingsDrawer($id: ID!) {
    node(id: $id) {
        ... on Domain {
            name(idn: false)
            ipAddresses {
                ipAddress(publicIp: true)
            }
            dnsZone {
                nsRecords: records(filter: {type: [NS]}, orderBy: {value: asc}) {
                    host
                    value
                    type
                }
                aRecords: records(filter: {type: [A]}) {
                    host
                    value
                    type
                }
            }
        }
        ... on DomainAlias {
            name(idn: false)
            domain {
                ipAddresses {
                    ipAddress
                }
            }
            dnsZone {
                nsRecords: records(filter: {type: [NS]}, orderBy: {value: asc}) {
                    host
                    value
                    type
                }
                aRecords: records(filter: {type: [A]}) {
                    host
                    value
                    type
                }
            }
        }
    }
    viewer {
        type
    }
    config {
        dns {
            enableResolveChecking
        }
    }
    dnsRegistrars {
        name
        url
    }
    dnsExtensions {
        name
        url
    }
    mode {
        isDnsServiceSupported
    }
}
